@echo off
@setlocal

rem ****************************************************************** 
rem  Copyright (c) 2011, SAS Institute Inc., Cary, NC USA
rem  ---All Rights Reserved.
rem ******************************************************************
rem 
rem applyHotFix.bat
rem
rem Two positional variables must be passed in on the command line
rem
rem %1 OMRPW - this is the password for the SAS administrative user id
rem %2 CFGLEVDIR - this is the configuration directory path

set argCount=0
for %%x in (%*) do Set /A argCount+=1

if "%argCount%"=="2" (goto runScript) else (goto badArgs)

:runScript
set OMRPW=
set CFGLEVDIR=
set OMRPW=%1
rem If present remove the double quotes around the config level dir
set CFGLEVDIR=%~2

call "%CFGLEVDIR%\level_env.bat"

set STDLOGNAME=itrmhotfix.log
set TWELVEBYTE=itrmdatatier

echo.
echo Output from this script is redirected to the log file: %STDLOGNAME%
echo.

"%CFGLEVDIR%\Utilities\launchconfigtarget.bat" -Ditrmdatatier.cfgprops.file="%CFGLEVDIR%\Utilities\%TWELVEBYTE%.configuration.properties" -Dmetadata.connection.passwd=%OMRPW% -f "%SAS_HOME%\SASITResourceManagementDataTier\3.3\Config\itrmhotfix.xml" applyHotFix

goto end

:badArgs
echo.
echo Incorrect arguments passed to batch script.
echo.
echo Usage:
echo         applyHotFix.bat [password]  [config-dir]
echo.
echo         Example: applyHotFix.bat MyPass1 C:\SAS\Config\Lev1
goto end

:end
echo.
echo applyHotFix.bat has completed.
@endlocal